Bug 640317 - (CVE-2010-3315) CVE-2010-3315 Subversion: Access restriction bypass by checkout of the root of the repository
CVE-2010-3315 Subversion: Access restriction bypass by checkout of the root o...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20101004,reported=20101004,sou...
: Security
Depends On: 640322 640323 672680
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-05 10:48 EDT by Jan Lieskovsky
Modified: 2015-07-29 09:02 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 09:02:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Local copy of upstream CVE-2010-3315 advisory (7.90 KB, text/plain)
2010-10-05 10:53 EDT, Jan Lieskovsky
no flags Details

  None (edit)
Description Jan Lieskovsky 2010-10-05 10:48:38 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-3315 to
the following vulnerability:

authz.c in the mod_dav_svn module for the Apache HTTP Server, as
distributed in Apache Subversion 1.5.x before 1.5.8 and 1.6.x before
1.6.13, when SVNPathAuthz short_circuit is enabled, does not properly
handle a named repository as a rule scope, which allows remote
authenticated users to bypass intended access restrictions via svn
commands.

References:
[1] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-3315
[2] http://security-tracker.debian.org/tracker/CVE-2010-3315
[3] http://subversion.apache.org/security/CVE-2010-3315-advisory.txt
[4] http://secunia.com/advisories/41652
Comment 1 Jan Lieskovsky 2010-10-05 10:50:55 EDT
This issue did NOT affect the versions of the subversion package,
as shipped with Red Hat Enterprise Linux 4 and 5.

--

This issue affects the versions of the subversion package, as shipped
with Fedora release of 12 and 13.
Comment 3 Jan Lieskovsky 2010-10-05 10:53:42 EDT
Created attachment 451684 [details]
Local copy of upstream CVE-2010-3315 advisory
Comment 6 David Robinson 2011-01-16 16:26:00 EST
Doesn't this affect the version of subversion included in RHEL 6? The package's changelog suggests this hasn't been fixed.
Comment 8 Josh Bressers 2011-01-25 15:07:15 EST
Created subversion tracking bugs for this issue

Affects: fedora-all [bug 672680]
Comment 9 Joe Orton 2011-01-26 09:56:54 EST
Links to the upstream fix, and the bug in the issue tracker:

http://svn.apache.org/viewvc?view=revision&revision=1000060
http://subversion.tigris.org/issues/show_bug.cgi?id=3695
Comment 10 Josh Bressers 2011-01-26 14:00:22 EST
(In reply to comment #6)
> Doesn't this affect the version of subversion included in RHEL 6? The package's
> changelog suggests this hasn't been fixed.

It does affect RHEL6. We are currently working on updates that will resolve this issue.
Comment 14 errata-xmlrpc 2011-02-15 14:17:58 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0258 https://rhn.redhat.com/errata/RHSA-2011-0258.html

Note You need to log in before you can comment on or make changes to this bug.